package com.mvc.dao;

import com.mvc.entity.TUnitStructure;
import com.mvc.entity.TUnitStructureExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TUnitStructureMapper {
    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 14:25:43
     */
    long countByExample(TUnitStructureExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 14:25:43
     */
    int deleteByExample(TUnitStructureExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 14:25:43
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 14:25:43
     */
    int insert(TUnitStructure record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 14:25:43
     */
    int insertSelective(TUnitStructure record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 14:25:43
     */
    List<TUnitStructure> selectByExample(TUnitStructureExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 14:25:43
     */
    TUnitStructure selectByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 14:25:43
     */
    int updateByExampleSelective(@Param("record") TUnitStructure record, @Param("example") TUnitStructureExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 14:25:43
     */
    int updateByExample(@Param("record") TUnitStructure record, @Param("example") TUnitStructureExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 14:25:43
     */
    int updateByPrimaryKeySelective(TUnitStructure record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 14:25:43
     */
    int updateByPrimaryKey(TUnitStructure record);
}